#include <iostream>
#include "vector"
#include "algorithm"
#include "numeric"
#include "climits"
#include "iomanip"
#include "bitset"
#include "cmath"
#include "map"
#include "deque"
#include "array"
#include "set"
#define all(x) x.begin(), x.end()
using namespace std;

signed main() {
    ios::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);
    string a, b;
    cin >> a >> b;
    reverse(all(a));
    reverse(all(b));
    while (a.size() < b.size())
        a.push_back('0' - 1);
    while (a.size() > b.size())
        b.push_back('0' - 1);
    string res;
    for (int i = 0; i < a.size(); ++i) {
        if (a[i] >= b[i]) {
            res.push_back(a[i]);
        }
        if (a[i] <= b[i]) {
            res.push_back(b[i]);
        }
    }
    reverse(all(res));
    cout << res << '\n';
}